WebFaction
Community site: login faq

Need urgent help with this error. Can't seem to find a way around it. Site is down :(

[Fri May 18 10:00:08.839505 2018] [wsgi:error] [pid 11284:tid 140269969778560] mod_wsgi (pid=11284): Target WSGI script '/home/pushkarm1996/webapps/clean_internet/CleanInternet/web_main_interface/wsgi.py' cannot be loaded as Python module.
[Fri May 18 10:00:08.839797 2018] [wsgi:error] [pid 11284:tid 140269969778560] mod_wsgi (pid=11284): Exception occurred processing WSGI script '/home/pushkarm1996/webapps/clean_internet/CleanInternet/web_main_interface/wsgi.py'.
[Fri May 18 10:00:08.844672 2018] [wsgi:error] [pid 11284:tid 140269969778560] Traceback (most recent call last):
[Fri May 18 10:00:08.844910 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/db/backends/postgresql/base.py", line 20, in <module>
[Fri May 18 10:00:08.845091 2018] [wsgi:error] [pid 11284:tid 140269969778560]     import psycopg2 as Database
[Fri May 18 10:00:08.845259 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/psycopg2/__init__.py", line 50, in <module>
[Fri May 18 10:00:08.845408 2018] [wsgi:error] [pid 11284:tid 140269969778560]     from psycopg2._psycopg import (                     # noqa
[Fri May 18 10:00:08.845583 2018] [wsgi:error] [pid 11284:tid 140269969778560] ImportError: /lib64/libresolv.so.2: symbol __h_errno, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference
[Fri May 18 10:00:08.845756 2018] [wsgi:error] [pid 11284:tid 140269969778560]
[Fri May 18 10:00:08.845889 2018] [wsgi:error] [pid 11284:tid 140269969778560] During handling of the above exception, another exception occurred:
[Fri May 18 10:00:08.846136 2018] [wsgi:error] [pid 11284:tid 140269969778560]
[Fri May 18 10:00:08.846280 2018] [wsgi:error] [pid 11284:tid 140269969778560] Traceback (most recent call last):
[Fri May 18 10:00:08.846569 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/CleanInternet/web_main_interface/wsgi.py", line 17, in <module>
[Fri May 18 10:00:08.846714 2018] [wsgi:error] [pid 11284:tid 140269969778560]     application = get_wsgi_application()
[Fri May 18 10:00:08.846861 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/core/wsgi.py", line 12, in get_wsgi_application
[Fri May 18 10:00:08.847028 2018] [wsgi:error] [pid 11284:tid 140269969778560]     django.setup(set_prefix=False)
[Fri May 18 10:00:08.847184 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/__init__.py", line 24, in setup
[Fri May 18 10:00:08.847327 2018] [wsgi:error] [pid 11284:tid 140269969778560]     apps.populate(settings.INSTALLED_APPS)
[Fri May 18 10:00:08.847470 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/apps/registry.py", line 112, in populate
[Fri May 18 10:00:08.847631 2018] [wsgi:error] [pid 11284:tid 140269969778560]     app_config.import_models()
[Fri May 18 10:00:08.847784 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/apps/config.py", line 198, in import_models
[Fri May 18 10:00:08.847948 2018] [wsgi:error] [pid 11284:tid 140269969778560]     self.models_module = import_module(models_module_name)
[Fri May 18 10:00:08.848105 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/usr/local/lib/python3.6/importlib/__init__.py", line 126, in import_module
[Fri May 18 10:00:08.848238 2018] [wsgi:error] [pid 11284:tid 140269969778560]     return _bootstrap._gcd_import(name[level:], package, level)
[Fri May 18 10:00:08.848382 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "<frozen importlib._bootstrap>", line 994, in _gcd_import
[Fri May 18 10:00:08.848541 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "<frozen importlib._bootstrap>", line 971, in _find_and_load
[Fri May 18 10:00:08.848693 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
[Fri May 18 10:00:08.848842 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
[Fri May 18 10:00:08.849005 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "<frozen importlib._bootstrap_external>", line 678, in exec_module
[Fri May 18 10:00:08.849162 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
[Fri May 18 10:00:08.849313 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/contrib/auth/models.py", line 2, in <module>
[Fri May 18 10:00:08.849461 2018] [wsgi:error] [pid 11284:tid 140269969778560]     from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManager
[Fri May 18 10:00:08.849610 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/contrib/auth/base_user.py", line 47, in <module>
[Fri May 18 10:00:08.849754 2018] [wsgi:error] [pid 11284:tid 140269969778560]     class AbstractBaseUser(models.Model):
[Fri May 18 10:00:08.849897 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/db/models/base.py", line 114, in __new__
[Fri May 18 10:00:08.850059 2018] [wsgi:error] [pid 11284:tid 140269969778560]     new_class.add_to_class('_meta', Options(meta, app_label))
[Fri May 18 10:00:08.850211 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/db/models/base.py", line 315, in add_to_class
[Fri May 18 10:00:08.850357 2018] [wsgi:error] [pid 11284:tid 140269969778560]     value.contribute_to_class(cls, name)
[Fri May 18 10:00:08.850506 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/db/models/options.py", line 205, in contribute_to_class
[Fri May 18 10:00:08.850650 2018] [wsgi:error] [pid 11284:tid 140269969778560]     self.db_table = truncate_name(self.db_table, connection.ops.max_name_length())
[Fri May 18 10:00:08.850802 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/db/__init__.py", line 33, in __getattr__
[Fri May 18 10:00:08.850952 2018] [wsgi:error] [pid 11284:tid 140269969778560]     return getattr(connections[DEFAULT_DB_ALIAS], item)
[Fri May 18 10:00:08.851097 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/db/utils.py", line 202, in __getitem__
[Fri May 18 10:00:08.851248 2018] [wsgi:error] [pid 11284:tid 140269969778560]     backend = load_backend(db['ENGINE'])
[Fri May 18 10:00:08.851407 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/db/utils.py", line 110, in load_backend
[Fri May 18 10:00:08.851555 2018] [wsgi:error] [pid 11284:tid 140269969778560]     return import_module('%s.base' % backend_name)
[Fri May 18 10:00:08.851695 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/usr/local/lib/python3.6/importlib/__init__.py", line 126, in import_module
[Fri May 18 10:00:08.851830 2018] [wsgi:error] [pid 11284:tid 140269969778560]     return _bootstrap._gcd_import(name[level:], package, level)
[Fri May 18 10:00:08.851986 2018] [wsgi:error] [pid 11284:tid 140269969778560]   File "/home/pushkarm1996/webapps/clean_internet/lib/python3.6/Django-2.0.1-py3.6.egg/django/db/backends/postgresql/base.py", line 24, in <module>
[Fri May 18 10:00:08.852131 2018] [wsgi:error] [pid 11284:tid 140269969778560]     raise ImproperlyConfigured("Error loading psycopg2 module: %s" % e)
[Fri May 18 10:00:08.852294 2018] [wsgi:error] [pid 11284:tid 140269969778560] django.core.exceptions.ImproperlyConfigured: Error loading psycopg2 module: /lib64/libresolv.so.2: symbol __h_errno, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

asked 18 May, 10:13

pushkarmishra
133
accept rate: 0%


Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×4

question asked: 18 May, 10:13

question was seen: 161 times

last updated: 18 May, 11:17

WEBFACTION
REACH US
SUPPORT
AFFILIATE PROGRAM
LEGAL
© COPYRIGHT 2003-2016 SWARMA LIMITED - WEBFACTION IS A SERVICE OF SWARMA LIMITED
REGISTERED IN ENGLAND AND WALES 5729350 - VAT REGISTRATION NUMBER 877397162
5TH FLOOR, THE OLD VINYL FACTORY, HAYES, UB3 1HA, UNITED KINGDOM